function [Y_cum,P,SUM,fit]=P_over_plz_group(data)

K=data.data.K;
P=zeros(K,1);
Y_cum=zeros(K,1);
SUM=zeros(K,1);
fit=0;
X=data.data.X;
Y=data.data.Y;
n=size(Y,1);
p=size(data.data.alpha,1);
out_a=data.out_a;
out_b=data.out_b;
out_c=data.out_c;
R_rec=1000;
zaehler=0;

for j=1:n
  SUM(X(j,1))=SUM(X(j,1))+1;
  Y_cum(X(j,1))=Y_cum(X(j,1))+Y(j);
end

tew=load('tew.txt');
[Z,I]=sort(tew(:,6));
center=tew(I,2:3);
center=center(1:76,:);
center=[center(1:19,:);center(21:65,:);center(67:76,:)];
%center2=[];
%for k=1:74
%  if k~=1 & k~=4 & k~=6 & k~=7 & k~=9 & k~=14 & k~=18 & k~=26 & k~=46 & k~=53 & k~=57 & k~=61 & k~=71 & k~=72
%    center2=[center2;center(k,:)];
%  end
%end

for i=1:R_rec
  if mod(i,100)==0
    i
  end;
  eta=zeros(n,1);
  for j=1:n
    eta(j)=X(j,3:p+2)*out_a(i,:)'+out_b(i,X(j,1))+out_c(i,X(j,2));
    if abs(eta(j))<20
      P(X(j,1))=P(X(j,1))+exp(eta(j))/(1+exp(eta(j)));
    else
      P(X(j,1))=P(X(j,1))+(sign(eta(j))+1)/2;zaehler=zaehler+1;
    end
  end 
end


figure(4)
LOADsim_voll
colormap(autumn)
for k=1:K
  if SUM(k)~=0
    Y_cum(k)=Y_cum(k)/SUM(k);
    s=1;
    while POL(s,2*k)~=0
      s=s+1;
    end
    fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),Y_cum(k))
    text(center(k,1),center(k,2),['\fontsize{5}',num2str(round(Y_cum(k)*100)/100)])
  end
end
fill([1500,1501,1501,1500],[0,0,-1,-1],1);
fill([1500,1501,1501,1500],[0,0,1,1],0);
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('empirical success probability')
%h = findobj(gcf,'type','axes');

figure(5)
LOADsim_voll
colormap(autumn)
for k=1:K
  if SUM(k)~=0
    P(k)=P(k)/(R_rec*SUM(k));
    fit=fit+SUM(k)*(Y_cum(k)-P(k))^2;
    s=1;
    while POL(s,2*k)~=0
      s=s+1;
    end
    fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),P(k))
    text(center(k,1),center(k,2),['\fontsize{5}',num2str(round(P(k)*100)/100)])
  end
end
fill([1500,1501,1501,1500],[0,0,-1,-1],1);
fill([1500,1501,1501,1500],[0,0,1,1],0);
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title(['success probabilities from parameter posterior estimation;   \Sigma_{j=1}^{74} n_j(p^{empir}_j - p^{estim}_j)^2=',num2str(round(fit*100)/100)]);
%h = findobj(gcf,'type','axes');
zaehler
% end function
