function [b]=b_joint_probit(BinvSigmaB,eta_Z_a,BinvSigma,Q,inv_sqr_tau,K)
% function [b]=b_joint_probit(BinvSigmaB,eta_Z_a,BinvSigma,Q,inv_sqr_tau,K)
% spatial effects update for spatial binary probit model with individual cluster effects
% joint update using latente variables

%Band_invSigma_b = BinvSigmaB(new_order,new_order) + inv_sqr_tau*Q(new_order,new_order);
%L=chol(Band_invSigma_b);
%z=normrnd(0,1,K*M,1);
%b_new_order=L\z;

%B_eta_new=BinvSigma*eta_Z_a;
%B_eta_new=B_eta_new(new_order)
%m_b=-L\B_eta_new;

%m_b=L'\m_b;
%b(new_order)=b_new_order+m_b;


Sigma_b = inv(BinvSigmaB + Q*inv_sqr_tau);
m_b = -Sigma_b*(BinvSigma*eta_Z_a);
b = mvnrnd(m_b,Sigma_b,1);
b=b';


% end of function b_joint_probit
