function [out]=binar_in_binom(Y,X,weg)
%% function [out]=binar_in_binom(Y,X,weg)
%% liefert out.Success, out.Failure und out.Design=D;
%% WEG ist der Kod zur Ausschliessung eines Designvectores aus X,
%% soll also ungleich allen mglichen Werten aus X(:,1) gewhlt werden.

tic;

D=[]; Success=[]; Failure=[]; Dsize=0; k=1; n=max(size(Y));
while k~=n+1
  Dsize=Dsize+1; D=[D;X(k,:)]; Success=[Success;Y(k)]; Failure=[Failure;1];
  for j=k+1:n
    if D(Dsize,:)==X(j,:)
      Success(Dsize)=Success(Dsize)+Y(j);
      Failure(Dsize)=Failure(Dsize)+1;
      X(j,1)=weg;
    end;
  end;
  X(k,1)=weg;
  while k~=n+1 & X(k,1)==weg
    k=k+1;
  end;
end;
out.Success=Success;
out.Failure=Failure-Success;
out.Design=D;

out.t=toc

%end of function binar_in_binom
