function interpretation(data,DatMode,Nkat,C)
addpath SIMfunctions;
out_a=data.out_a;
out_b=data.out_b;
out_c=data.out_c;
R_rec=1000;
Ptop=[];
Pbottom=[];
Pestim=[];
for k=1:Nkat
  P=zeros(R_rec,1);
  for i=1:R_rec
    eta=DatMode(k,:)*out_a(i,:)'+out_b(i,47)+out_c(i,5);
    P(i)=exp(eta)/(1+exp(eta));
  end;
  Psort=sort(P);
  Ptop=[Ptop,Psort(950)];
  Pbottom=[Pbottom,Psort(50)];
  Pestim=[Pestim,sum(P)/R_rec];
end;
plot(C(:,1),Pestim,'-b.','LineWidth',1.5,'MarkerSize',15)
hold on
plot(C(:,1),Ptop,'--b')
plot(C(:,1),Pbottom,'--b')
axis([10 100 0 1]);

%end function
