function [SUM]=number_over_plz(data)

addpath thesis/miscellaneous/PLZ;
K=data.data.K;
SUM=zeros(K,1);
X=data.data.X;
Y=data.data.Y;
n=size(Y,1);

for j=1:n
  SUM(X(j,1))=SUM(X(j,1))+1;
end

tew=load('tew.txt');
[Z,I]=sort(tew(:,6));
center=tew(I,2:3);
center=center(1:76,:);
center=[center(1:19,:);center(21:65,:);center(67:76,:)];

figure(5)
LOADsim_voll
colormap(gray)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  if SUM(k)~=0
    fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),SUM(k))
    text(center(k,1),center(k,2),['\fontsize{5}',num2str(SUM(k))])
  else
    fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),-10)
  end
end
fill([1500,1501,1501,1500],[0,0,-1,-1],-30);
%fill([1500,1501,1501,1500],[0,0,1,1],-20);
%colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
%title('empirical success probability')
%h = findobj(gcf,'type','axes');

% end function
