 function [alpha]=regbinidpinf_update_probit(X, eta_Z_b,invSigma,inv_prior_var_a,p)
%function [alpha]=regbinidpinf_update_probit(X, eta_Z_b,inv_prior_var_a,p)

% for spatial binary probit model with individual cluster effects
% joint update  of fixed effects \alpha
% using latente variables


        Sigma_a = inv(X(:,[3:p+2])'*invSigma*X(:,[3:p+2])+diag(inv_prior_var_a));
%Sigma_a = inv(X(:,[3:p+2])'*X(:,[3:p+2])+diag(inv_prior_var_a));
        m_a =-Sigma_a*X(:,[3:p+2])'*(invSigma*eta_Z_b);
%m_a =-Sigma_a*X(:,[3:p+2])'*(eta_Z_b);
        alpha =mvnrnd(m_a,Sigma_a,1);

% end of function regbinidpinf_update_probit
