function [out]=split(Design_matrix,colomns_to_split)
% function [out]=split(Design_matrix,colomns_to_split)
% Macht Design_matrix geeignet fr MCMC-funktionen
% colomns_to_split - Vektor mit SpaltenNr. von kategorischen Variablen zum Spliten
% Achtung: in Designmatrix bei jeder kat. Variable sollen ihre Kategorien
% als 1,2,3... kodiert werden! Keine NA Werte!

out=[];
s=size(Design_matrix,2);
for i=1:s
  if sum(colomns_to_split==i)==1
    m=max(Design_matrix(:,i));
    for j=2:m
      out=[out,(Design_matrix(:,i)==j)];
    end
  else
    out=[out,Design_matrix(:,i)];
  end
end

%end of split.m
      
  