function [sqr_sigma]=sqr_sigma_probit(sqr_sigma,eta_Z,C,wege_pro_hh,M)
% function [sqr_sigma]=sqr_sigma_probit(sqr_sigma,eta_Z,C,wege_pro_hh,M)
% for spatial binary probit model with individual cluster effects
% for MCMC driving function using latente variables

for m=2:M
  sqr_sigma(m)=1/gamrnd((wege_pro_hh(m)/2)+3,1/(1/0.5 + eta_Z(C(m,1:wege_pro_hh(m)))'*eta_Z(C(m,1:wege_pro_hh(m)))/2));
end;

% end of function sqr_sigma_probit
