function p=CorFunc(n,X,Y,k)
%% function p=CorFunc(n,X,Y,k)
%% Reihe X auf Reihe Y nach k Schritten
%% X,Y-Vektoren, size(X)==size(Y), k<<n-1

if abs(k)>n-2
  disp('k must be <n-1')
  
else
  if k>=0
    cov=0;varX=0;varY=0;
    EX=sum(X(1:n-k))/(n-k);
    EY=sum(Y(k+1:n))/(n-k);
    for i=1: n-k
      cov=cov+(X(i)-EX)*(Y(i+k)-EY);
      varX=varX+(X(i)-EX)^2;
      varY=varY+(Y(i+k)-EY)^2;
    end;
    p=cov/sqrt(varX*varY);
  else
    p=CorFunc(n,Y,X,-k);
  end;
end;

%% end of CorFunc