function Munich_map(data)

K=data.data.K;
R_rec=1000;
b_mode=data.b_mode;
b_quantile=data.b_quantile;
b_mean=data.b_mean;
c_mode=data.c_mode;
c_quantile=data.c_quantile;
c_mean=data.c_mean;

figure(20)
subplot(2,2,1)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),b_mode(k))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(b_quantile(:,3))]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(b_quantile(:,3))]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('mode');

subplot(2,2,2)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),b_quantile(k,3))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(b_quantile(:,3))]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(b_quantile(:,3))]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('median')
h = findobj(gcf,'type','axes');

subplot(2,2,3)
LOADsim_voll;
colormap(autumn)
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),b_mean(k))
  hold on
end
fill([1500,1501,1501,1500],[0,0,-1,-1],max([max(b_mode),max(b_mean),max(b_quantile(:,3))]));
fill([1500,1501,1501,1500],[0,0,1,1],min([min(b_mode),min(b_mean),min(b_quantile(:,3))]));
colorbar('vert');
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title('mean')
h = findobj(gcf,'type','axes');

subplot(2,2,4)
LOADsim_voll;
for k=1:K
  s=1;
  while POL(s,2*k)~=0
    s=s+1;
  end
  fill(POL(1:s-1,2*k-1),POL(1:s-1,2*k),[(b_quantile(k,2)>0) (b_quantile(k,2)<0 & b_quantile(k,4)>0) (b_quantile(k,4)<0)])
  hold on
end
axis([-1600 1100 -800 1400])
set(gca,'XTickLabel',[]);
set(gca,'YTickLabel',[]);
title({'red: 0 is below 90%-c.i.;blue: 0 is over 90%-c.i.;';'green: 0 is in 90%-c.i. (i.e. insignificance)'});

% end function




