function interpretation_interac(data,DatMode,Nkat_x,Nkat_y)
%DatMode: Nkat_x+...+Nkat_x =Nkat_x*Nkat_y  Designvectors
%first design vector in DatMode is initial
addpath SIMfunctions;
out_a=data.out_a;
out_b=data.out_b;
out_c=data.out_c;
R_rec=1000;

for m=1:Nkat_y

Ptop=[];
Pbottom=[];
Pestim=[];
for k=1:Nkat_x
  P=zeros(R_rec,1);
  for i=1:R_rec
    eta=DatMode((m-1)*Nkat_x+k,:)*out_a(i,:)'+out_b(i,47)+out_c(i,5);
    P(i)=exp(eta)/(1+exp(eta));
  end;
  Psort=sort(P);
  Ptop=[Ptop,Psort(950)];
  Pbottom=[Pbottom,Psort(50)];
  Pestim=[Pestim,sum(P)/R_rec];
end;
figure(11)
plot([1:Nkat_x],Pestim,'-b.','LineWidth',3,'MarkerSize',25)
hold on
plot([1:Nkat_x],Ptop,'-b')
plot([1:Nkat_x],Pbottom,'-b')
axis([1 Nkat_x 0 1]);
set(gca,'XTickLabel',[]);

end;

%end function
