function [z]=zbinidp_update_probit(y,n,eta,sigma)
%[z]=zbinidp_update_probit(y,n,eta,sigma)
% updates latent variables for binomial regression model
% with latent error variance=sigma.^2
% June 2001

        z = zeros(n,1);
        for i =1:n 
	   if y(i)==0
	     a=0;b=Inf;
	   end;
	   if y(i)==1
	     a=-Inf; b=0;
	   end;
           z(i)= norm_trunc_neu(-eta(i),sigma(i),a,b);
        end;
% end of function zbinidp_update_probit
